net.fortuna.ical4j.model.property

## Class Attendee

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Attendee

All Implemented Interfaces:
  Serializable

    public class Attendee
    extends Property

$Id$ Created: [Apr 6, 2004] Defines an ATTENDEE iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Attendee()` Default constructor.
`Attendee(ParameterList aList, String aValue)`
`Attendee(ParameterList aList, URI aUri)`
`Attendee(String aValue)`
`Attendee(URI aUri)`

### Method Summary

Methods
`Property` `copy()` Create a (deep) copy of this property.
`URI` `getCalAddress()`
`String` `getValue()`
`void` `setCalAddress(URI calAddress)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attendee

    public Attendee()

Default constructor.

#### Attendee

    public Attendee(String aValue)
             throws URISyntaxException

Parameters:
  `aValue` - a value string for this component
Throws:
  `URISyntaxException` - where the specified value string is not a valid uri

#### Attendee

    public Attendee(ParameterList aList,
            String aValue)
             throws URISyntaxException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `URISyntaxException` - where the specified value string is not a valid uri

#### Attendee

    public Attendee(URI aUri)

Parameters:
  `aUri` - a URI

#### Attendee

    public Attendee(ParameterList aList,
            URI aUri)

Parameters:
  `aList` - a list of parameters for this component
  `aUri` - a URI

### Method Detail

#### setValue

    public final void setValue(String aValue)
                        throws URISyntaxException

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value
Throws:
  `URISyntaxException` - possibly thrown by setting the value of certain properties

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state

#### getCalAddress

    public final URI getCalAddress()

Returns:
  Returns the calAddress.

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setCalAddress

    public final void setCalAddress(URI calAddress)

Parameters:
  `calAddress` - The calAddress to set.

#### copy

    public final Property copy()
                        throws IOException,
                               URISyntaxException,
                               ParseException

Create a (deep) copy of this property.

Overrides:
  `copy` in class `Property`
Returns:
  the copy of the property
Throws:
  `IOException` - where an error occurs reading property data
  `URISyntaxException` - where the property contains an invalid URI value
  `ParseException` - where the property contains an invalid date value